Cantera 2.6.0

Classes | Namespaces | Functions
FalloffFactory.h File Reference

Parameterizations for reaction falloff functions. More...

`#include "cantera/base/FactoryBase.h"`
`#include "cantera/kinetics/Falloff.h"`
Include dependency graph for FalloffFactory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | FalloffFactory
| Factory class to construct falloff function calculators. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Falloff > | newFalloff (const std::string &type, const vector_fp &c)
| Return a pointer to a new falloff function calculator. More...

## Detailed Description

Parameterizations for reaction falloff functions.

Used by classes that implement gas-phase kinetics (GasKinetics, GRI_30_Kinetics) (see Falloff Parameterizations and class FalloffRate).

Deprecated:
  Deprecated in Cantera 2.6 and removed thereafter. Replaced by FalloffRate objects managed by MultiRate evaluators.

Definition in file FalloffFactory.h.